import { Map } from 'bc-minecraft-bedrock-project';
import { AnimationCarrier, MolangCarrier } from "bc-minecraft-bedrock-project/lib/src/Lib/Types/Carrier/Carrier";
import { Types } from "bc-minecraft-bedrock-types";
import { DefinedUsing, Molang } from "bc-minecraft-molang";
import { DiagnosticsBuilder } from "../../../Types/DiagnosticsBuilder/DiagnosticsBuilder";
import { OwnerType } from "../../Molang/diagnostics";
/**
 *
 * @param id
 * @param data
 * @param diagnoser
 */
export declare function animation_diagnose_implementation(anim_id: string, user: Types.Identifiable & MolangCarrier<Molang.MolangSet | Molang.MolangFullSet> & AnimationCarrier<DefinedUsing<string>> & {
    events?: Map<any>;
}, ownerType: OwnerType, diagnoser: DiagnosticsBuilder): void;
/**
 *
 * @param id
 * @param diagnoser
 * @returns
 */
export declare function has_animation(id: string, diagnoser: DiagnosticsBuilder): boolean;
