"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.general_keyword_diagnose = void 0;
const include_1 = require("../../../Lib/Types/DiagnosticsBuilder/include");
function general_keyword_diagnose(keyword, value, diagnoser) {
    //Keyword matches the given value, then stop
    if (value.text === keyword)
        return;
    diagnoser.Add(value, `Invalid keyword: ${value}, expected keyword: ${value}`, include_1.DiagnosticSeverity.error, "general.keyword.invalid");
}
exports.general_keyword_diagnose = general_keyword_diagnose;
//# sourceMappingURL=Keyword.js.map