"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.general_string_diagnose = void 0;
const bc_minecraft_bedrock_types_1 = require("bc-minecraft-bedrock-types");
const main_1 = require("../../../main");
function general_string_diagnose(value, diagnoser) {
    if (bc_minecraft_bedrock_types_1.General.String.is(value.text))
        return;
    diagnoser.Add(value, `Invalid minecraft string: '${value.text}'`, main_1.DiagnosticSeverity.error, "general.string.invalid");
}
exports.general_string_diagnose = general_string_diagnose;
//# sourceMappingURL=String.js.map