import { BehaviorPack, Internal, ResourcePack } from "bc-minecraft-bedrock-project";
import { AnimationCarrier, MolangCarrier } from "bc-minecraft-bedrock-project/lib/src/Lib/Types/Carrier/Carrier";
import { Defined, Molang } from "bc-minecraft-molang";
import { Types } from "bc-minecraft-bedrock-types";
import { DiagnosticsBuilder } from "../../Types/DiagnosticsBuilder/DiagnosticsBuilder";
import { OwnerType } from "../Molang/diagnostics";
export declare type animation_controllers = Internal.BehaviorPack.AnimationControllers | Internal.ResourcePack.AnimationControllers;
export declare type animation_controller = Internal.BehaviorPack.AnimationController | Internal.ResourcePack.AnimationController;
export declare type animationsOwner = Types.Identifiable & MolangCarrier<Molang.MolangSet> & AnimationCarrier<Defined<String>>;
/**
 *
 * @param data
 * @param diagnoser
 */
export declare function general_animation_controllers(data: animation_controllers, diagnoser: DiagnosticsBuilder): void;
/**
 *
 * @param controller
 * @param controller_id
 * @param diagnoser
 */
export declare function general_animation_controller(controller: animation_controller, controller_id: string, diagnoser: DiagnosticsBuilder): void;
export declare function general_animation_controllers_implementation(controller: ResourcePack.AnimationController.AnimationController | BehaviorPack.AnimationController.AnimationController, user: Types.Identifiable & AnimationCarrier<Defined<string>> & MolangCarrier<Molang.MolangSet | Molang.MolangFullSet>, ownerType: OwnerType, diagnoser: DiagnosticsBuilder): void;
