"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_coordinate_diagnose = void 0;
const bc_minecraft_bedrock_types_1 = require("bc-minecraft-bedrock-types");
const Severity_1 = require("../../Types/DiagnosticsBuilder/Severity");
function minecraft_coordinate_diagnose(value, diagnoser) {
    if (bc_minecraft_bedrock_types_1.Minecraft.Coordinate.is(value.text))
        return;
    diagnoser.Add(value, "Invalid coordinate value: " + value.text, Severity_1.DiagnosticSeverity.error, "minecraft.coordinate.invalid");
}
exports.minecraft_coordinate_diagnose = minecraft_coordinate_diagnose;
//# sourceMappingURL=Coordinate.js.map