"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_xp_diagnose = void 0;
const bc_minecraft_bedrock_types_1 = require("bc-minecraft-bedrock-types");
const include_1 = require("../../../Lib/Types/DiagnosticsBuilder/include");
function minecraft_xp_diagnose(value, diagnoser) {
    if (bc_minecraft_bedrock_types_1.Minecraft.XP.is(value.text))
        return;
    diagnoser.Add(value, "Invalid xp value: " + value.text, include_1.DiagnosticSeverity.error, "minecraft.xp.invalid");
}
exports.minecraft_xp_diagnose = minecraft_xp_diagnose;
//# sourceMappingURL=Xp.js.map