"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Diagnose = void 0;
const diagnostics_1 = require("../../Molang/diagnostics");
/**Diagnoses the given document as a render controller
 * @param doc The text document to diagnose
 * @param diagnoser The diagnoser builder to receive the errors*/
function Diagnose(doc, diagnoser) {
    //Check molang
    (0, diagnostics_1.diagnose_molang)(doc.getText(), "render_controller", diagnoser);
    //TODO add rp diagnostics
}
exports.Diagnose = Diagnose;
//# sourceMappingURL=entry.js.map