import { TextDocument } from "bc-minecraft-bedrock-project";
import { DiagnosticsBuilder } from "../../../Types/DiagnosticsBuilder/DiagnosticsBuilder";
/**Diagnoses the given document as a texture atlas
 * @param doc The text document to diagnose
 * @param diagnoser The diagnoser builder to receive the errors*/
export declare function DiagnoseAtlas(doc: TextDocument, diagnoser: DiagnosticsBuilder): void;
/**Diagnoses the given document as a texture flipbook file
 * @param doc The text document to diagnose
 * @param diagnoser The diagnoser builder to receive the errors*/
export declare function DiagnoseFlipbook(doc: TextDocument, diagnoser: DiagnosticsBuilder): void;
export declare function texture_files_diagnose(owner: string, file: string, files: string[], diagnoser: DiagnosticsBuilder): void;
