import { DefinedUsing, Molang } from "bc-minecraft-molang";
import { DiagnosticsBuilder } from "../../Types/DiagnosticsBuilder/DiagnosticsBuilder";
import { OwnerType } from '../Molang/diagnostics';
import { Types } from 'bc-minecraft-bedrock-types';
import { AnimationCarrier, MolangCarrier } from 'bc-minecraft-bedrock-project/lib/src/Lib/Types/Carrier/Carrier';
export declare function animation_or_controller_diagnose_implementation(id: string, user: Types.Identifiable & MolangCarrier<Molang.MolangSet | Molang.MolangFullSet> & AnimationCarrier<DefinedUsing<string>>, ownerType: OwnerType, diagnoser: DiagnosticsBuilder): void;
export declare function animation_or_controller_diagnose(id: Types.OffsetWord, diagnoser: DiagnosticsBuilder): void;
export declare function animation_reference_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): void;
export declare enum anim_or_contr {
    animation = 0,
    controller = 1,
    neither = 2
}
/**
 *
 * @param id
 * @param diagnoser
 * @returns True if animation, false if controller
 */
export declare function is_animation_or_controller(id: string, diagnoser: DiagnosticsBuilder): anim_or_contr;
