"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SkinPack = void 0;
const Manifest = require("./Manifest/entry");
var SkinPack;
(function (SkinPack) {
    /**Processes and diagnoses the given textdocument
     * @param doc The document to process / diagnose
     * @param diagnoser The diagnoser to report to
     * @returns `true` or `false` whenever or not it was succesfull*/
    function Process(doc, diagnoser) {
        //retrieve filter doc type
        if (doc.uri.endsWith("manifest.json")) {
            Manifest.Diagnose(doc, diagnoser);
            return true;
        }
        return true;
    }
    SkinPack.Process = Process;
})(SkinPack = exports.SkinPack || (exports.SkinPack = {}));
//# sourceMappingURL=SkinPack.js.map