import { TextDocument } from "bc-minecraft-bedrock-project";
import { DiagnosticsBuilder } from "../../Types/DiagnosticsBuilder/DiagnosticsBuilder";
export declare namespace Json {
    /**Loads the object and casts it to the specified type, if it fails then undefined is loaded and the error message is send to the diagnoser
     * @param doc The text document to load from
     * @param diagnoser The diagnoser to load from
     * @returns Either the object cast to the specific type, or undefined if failed*/
    function LoadReport<T>(doc: TextDocument, diagnoser: DiagnosticsBuilder): T | undefined;
    /**
     *
     * @param value
     * @param diagnoser
     * @param type
     * @param code
     * @param checkfn
     * @returns
     */
    function TypeCheck<T>(value: any, diagnoser: DiagnosticsBuilder, type: string, code: string, checkfn: (value: any) => value is T): value is T;
}
