"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_effect_diagnose = void 0;
const bc_minecraft_bedrock_vanilla_data_1 = require("bc-minecraft-bedrock-vanilla-data");
const main_1 = require("../../../main");
function minecraft_effect_diagnose(value, diagnoser) {
    //Check if minecraft has effect data
    if (bc_minecraft_bedrock_vanilla_data_1.MinecraftData.General.Effects.includes(value.text))
        return;
    diagnoser.Add(value, "Effect does not exist: " + value.text, main_1.DiagnosticSeverity.error, "minecraft.effect.invalid");
}
exports.minecraft_effect_diagnose = minecraft_effect_diagnose;
//# sourceMappingURL=Effect.js.map